using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace Art_of_War
{
    class Input
    {
        #region Events
        public event KeyEventHandler KeyPressed;
        #endregion


        #region Konstruktor
        public Input(GameForm parent)
        {
            parent.KeyDown += new KeyEventHandler(parent_KeyDown);
            //parent.FocusedThingy.KeyDown += new KeyEventHandler(parent_KeyDown);
        }
        #endregion



        #region Funktionen
        void parent_KeyDown(object sender, KeyEventArgs e)
        {
            if (KeyPressed != null)
            {
                KeyPressed(this, e);
            }
        }
        #endregion

    }
}
